
Redmine - Patch #30828

Refactor GitAdapter#default_branch not to unnecessarily iterate through all elements

2019-02-18 10:38 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.1.0   

Description

#select iterates through all records and creates a new array which isn't necessary

Associated revisions

Revision 17883 - 2019-02-19 00:19 - Go MAEDA

Refactor GitAdapter#default_branch not to unnecessarily iterate through all elements (#30828).

Patch by  Pavel Rosický.

History

#1 - 2019-02-18 12:58 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-02-18 13:21 - Pavel Rosický

- File git_adapter.rb.patch added

#3 - 2019-02-19 00:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#4 - 2019-02-19 00:20 - Go MAEDA

- Subject changed from scm git - simplify #default_branch to Refactor GitAdapter#default_branch not to unnecessarily iterate through all elements

Files

git_adapter.rb.patch 854 Bytes 2019-02-18 Pavel Rosický

git_adapter.rb.patch 854 Bytes 2019-02-18 Pavel Rosický
